Skip to main content
GET
/
api
/
personas
/
{id}
/
cURL
curl --request GET \
  --url https://api.creatify.ai/api/personas/{id}/ \
  --header 'X-API-ID: <api-key>' \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.creatify.ai/api/personas/{id}/"

headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};

fetch('https://api.creatify.ai/api/personas/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "creator_name": "<string>",
  "suitable_industries": "<string>",
  "preview_image_16_9": "<string>",
  "preview_image_1_1": "<string>",
  "preview_image_9_16": "<string>",
  "preview_video_16_9": "<string>",
  "preview_video_1_1": "<string>",
  "preview_video_9_16": "<string>",
  "landscape_preview_video": "<string>",
  "squared_preview_video": "<string>",
  "portrait_preview_video": "<string>",
  "is_active": true,
  "process_status": "<string>",
  "failed_reason": "<string>",
  "type": "<string>",
  "video_scene": "<string>",
  "keywords": "<string>"
}

Authorizations

X-API-ID
string
header
required

API ID, from your settings page.

X-API-KEY
string
header
required

API Key, from your settings page.

Path Parameters

id
string<uuid>
required

A UUID string identifying this Digital Human: Creator.

Response

200 - application/json
id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
gender
enum<string>
required

gender of the persona

  • m - Male
  • f - Female
  • nb - Non-Binary
Available options:
m,
f,
nb
creator_name
string
required
read-only
suitable_industries
string
required
read-only
preview_image_16_9
string | null
required
read-only
preview_image_1_1
string | null
required
read-only
preview_image_9_16
string | null
required
read-only
preview_video_16_9
string | null
required
read-only
preview_video_1_1
string | null
required
read-only
preview_video_9_16
string | null
required
read-only
landscape_preview_video
string<uri> | null
required
read-only

Landscape preview video of the persona

squared_preview_video
string<uri> | null
required
read-only

Squared preview video of the persona

portrait_preview_video
string<uri> | null
required
read-only

Portrait preview video of the persona

is_active
boolean
required
read-only

Is the creator active to use, if not, it will not be shown in the UI

process_status
string
required
read-only
failed_reason
string
required
read-only
type
string
required
read-only
age_range
enum<string>

age range of the persona

  • child - Child
  • teen - Teen
  • adult - Adult
  • senior - Senior
Available options:
child,
teen,
adult,
senior
location
enum<string>

location of the persona

  • outdoor - Outdoor
  • fantasy - Fantasy
  • indoor - Indoor
  • other - Other
Available options:
outdoor,
fantasy,
indoor,
other
style
enum<string>

style of the persona

  • selfie - Selfie
  • presenter - Presenter
  • other - Other
Available options:
selfie,
presenter,
other
video_scene
string | null

A word to describe the background setting. API user rely on this

Maximum string length: 255
keywords
string | null

keywords (comma separated)

Maximum string length: 255